<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 * @author
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

# Set the request file name.
$filename = $_GET['file'];

# Set Expires, cache the file on the browser.
# Delete it if you don't want it.
header("Expires:".gmdate("D, d M Y H:i:s", time()+15360000)."GMT");
header("Cache-Control: max-age=315360000");

# set the last modified time
$mtime     = filemtime($filename);
$gmt_mtime = gmdate('D, d M Y H:i:s', $mtime) . ' GMT';
header("Last-Modified:" . $gmt_mtime);

# Output a mediatype header
switch ($_GET['type'])
{
	case '.css':
		header("Content-type: text/css; charset=utf-8");
	break;

	case '.js' :
		header("Content-type: text/javascript; charset=utf-8");
	break;

	default:
		header("Content-type: text/plain; charset=utf-8");
	break;
}

# GZIP the content
@ob_start('ob_gzhandler');

# Echo the file's contents.
echo implode('', file($filename));

// Output buffer.
@ob_end_flush();

?>