<?php


	class TEST_dependant extends PHPDS_dependant
	{
		public $A = 'b';
		protected $B = '2';
		protected $roots;

		public function construct ($a = '', $b = '')
		{
			$this->A = $a;
			$this->B = $b;

			if ($b < 2) $this->roots = new TEST_dependantSub;
			else {
				$this->sub = new TEST_dependantSub;
				$this->roots = 'sub';
			}
		}

		public function getRoots()
		{
			return $this->roots;
		}
	}

	class TEST_dependantSub
	{
		public function method()
		{
			return "success";
		}
	}



	class PHPDS_dependantTest extends PHPUnit_Framework_TestCase
	{
		protected $obj;


		protected function setUp()
		{

		}

		public function testFactory1()
		{
			$instance = PHPDSlib::instance();
			$this->obj = $instance->_factory('TEST_dependant', array('a', 1));

			$this->assertEquals('TEST_dependant', get_class($this->obj));

			$this->assertEquals('TEST_dependantSub', get_class($this->obj->getRoots()));

			$this->assertEquals('a', $this->obj->A); // A is public

			$this->setExpectedException('Exception');
			$this->assertEquals(1, $this->obj->B); // B is protected

			$this->assertEquals('PHPDS_db', get_class($this->db));


			$this->assertEquals('success', $this->obj->method());
		}

		public function testFactory2()
		{
			$instance = PHPDSlib::instance();
			$this->obj = $instance->_factory('TEST_dependant', array('a', 2));

			$this->assertEquals('TEST_dependant', get_class($this->obj));

			$this->assertEquals('sub', $this->obj->getRoots());

			$this->assertEquals('a', $this->obj->A); // A is public

			$this->setExpectedException('Exception');
			$this->assertEquals(1, $this->obj->B); // B is protected

			$this->assertEquals('PHPDS_db', get_class($this->db));


			$this->assertEquals('success', $this->obj->method());
		}
	}