<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Controller Class: Alternative user password handler.
 * @author Jason Schoeman
 * @return string
 */
class UserPwd extends PHPDS_controller
{

	/**
	 * Execute Controller
	 * @author Jason Schoeman
	 */
	public function execute()
	{
		$me = $this->factory('PHPDS_user');
		$me->lookup(null, true);

		$edit = array();

		$this->template->heading(_('Change Password'));
		$this->template->info(_('Used to change a user\'s password.'));

		// Check if it is a user that is been updated.
		if (!empty($this->security->get['eu']) || !empty($this->security->post['save'])) {

			$user_id = intval($this->configuration['user_id']);

			if (!empty($this->security->post['save'])) {
				$edit = $this->security->post;

				if (empty($edit['user_password']) || empty($edit['confirm_password'])) {
					$this->template->warning(_('You have missed some fields, try again!'));
				} else {
					if ($edit['user_password'] != $edit['confirm_password']) {
						$this->template->warning(_('Both fields should be identical'));
					} else {

						// Check to see if all fields are set.
						if (empty($error)) {
							//$insert_encrypt_pass = md5($edit['user_password']);
							//$this->db->invokeQuery ('update_password', $insert_encrypt_pass, $user_id);
							$me->set_password($edit['user_password'])->save();

							if ($this->user->login($this->configuration['user_name'], $edit['user_password'])) {
								$this->template->ok(_('All settings updated, please use new settings the next time you log in.'));
							}

							$this->template->ok(sprintf(_('The password has been changed')));
						}
					}
				}
			}
		}

		// Load views.
		$view = $this->factory('views');

		// Set Array.
		$view->set('e', $edit);

		// Set Values.
		$view->set('self_url', $this->navigation->selfUrl());
		$view->set('post_validation', $this->security->postValidation());
		// Output Template.
		$view->show();
	}
}

return 'UserPwd';